Bug 90704 - Desktop will black when sliding mouse in touchpad after switching tty in my skylake machine
Summary: Desktop will black when sliding mouse in touchpad after switching tty in my ...
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: General (show other bugs)
Version: XOrg git
Hardware: Other Linux (All)
: medium major
Assignee: Default DRI bug account
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-05-28 11:06 UTC by vivianhu
Modified: 2015-06-04 09:06 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
video:cycle between black and normal (1.47 MB, video/mp4)
2015-05-28 11:06 UTC, vivianhu
no flags Details
dmesg (167.61 KB, text/plain)
2015-06-04 08:44 UTC, vivianhu
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description vivianhu 2015-05-28 11:06:08 UTC
Created attachment 116112 [details]
video:cycle between black and normal

Environment:
-----------------------------------
Platform:SKL
Libdrm:libdrm-2.4.61
Mesa:10.6.0-rc2
Xserver:xorg-server-1.17.1
Xf86_video_intel:2.99.917
Cairo:1.14.2
Libva:1.5.1
Kernel:4.1-rc5

Machine info:
---------------------------------------------
[root@localhost ~]# lspci -nn
00:00.0 Host bridge [0600]: Intel Corporation Sky Lake Host Bridge/DRAM Registers [8086:1904] (rev 03)
00:02.0 VGA compatible controller [0300]: Intel Corporation Sky Lake Integrated Graphics [8086:1916] (rev 02)
00:08.0 System peripheral [0880]: Intel Corporation Sky Lake Gaussian Mixture Model [8086:1911]
00:14.0 USB controller [0c03]: Intel Corporation Device [8086:9d2f] (rev 10)
00:14.2 Signal processing controller [1180]: Intel Corporation Device [8086:9d31] (rev 10)
00:16.0 Communication controller [0780]: Intel Corporation Device [8086:9d3a] (rev 10)
00:17.0 SATA controller [0106]: Intel Corporation Device [8086:9d03] (rev 10)
00:1c.0 PCI bridge [0604]: Intel Corporation Device [8086:9d14] (rev f0)
00:1d.0 PCI bridge [0604]: Intel Corporation Device [8086:9d18] (rev f0)
00:1f.0 ISA bridge [0601]: Intel Corporation Device [8086:9d48] (rev 10)
00:1f.2 Memory controller [0580]: Intel Corporation Device [8086:9d21] (rev 10)
00:1f.3 Audio device [0403]: Intel Corporation Device [8086:9d70] (rev 10)
00:1f.4 SMBus [0c05]: Intel Corporation Device [8086:9d23] (rev 10)
01:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller [10ec:8168] (rev 15)
02:00.0 Display controller [0380]: Advanced Micro Devices, Inc. [AMD/ATI] Sun XT [Radeon HD 8670A/8670M/8690M / R5 M330] [1002:6660] (rev 83)

Reproduce steps
---------------------------- 
1. poweron and enter to linux os,for example, fedora 22.
2. press ctrl+alt+F3, switching to tty3.
3. press ctrl+alt+F1, switching back to desktop, then you will see the desktop is black.
4. slide in touchpad, the desktop will show normally again.
5. slide in touchpad again, the desktop will black again.
6. The desktop will cycle between black and normal when sliding mouse in touchpad continually, please refer to the attached video.
Comment 1 vivianhu 2015-06-01 05:16:45 UTC
Our schedule is very urgent, so can anyone can help me and point out a way to solve it?
Comment 2 Jani Nikula 2015-06-01 11:21:14 UTC
(In reply to vivianhu from comment #1)
> Our schedule is very urgent, so can anyone can help me and point out a way
> to solve it?

Please raise any priority issues with your regular customer support channels. Otherwise, this bug is just one among many others.

Please ensure you have either i915.preliminary_hw_support=1 module parameter set or CONFIG_DRM_I915_PRELIMINARY_HW_SUPPORT=y kernel config option set.

Please attach dmesg from boot with drm.debug=14 module parameter set, exhibiting the problem.

Please try drm-intel-nightly branch of http://cgit.freedesktop.org/drm-intel
Comment 3 vivianhu 2015-06-02 10:38:01 UTC
Hi jani, thanks for your support, this problem has solved when we use drm-intel-nightly branch. Does it will be merged to kernel4.1 mainline and when?
Comment 4 Jani Nikula 2015-06-02 11:28:50 UTC
(In reply to vivianhu from comment #3)
> Hi jani, thanks for your support, this problem has solved when we use
> drm-intel-nightly branch. Does it will be merged to kernel4.1 mainline and
> when?

Skylake support in v4.1 is preliminary, and we are not backporting fixes to kernels with preliminary platform support. There are features missing and/or broken, backporting fixes is not first priority.
Comment 5 Jani Nikula 2015-06-02 11:31:38 UTC
Moreover, in this case we don't even know what the bug is, whether it's specifically in our driver or somewhere else, or how involved or invasive the backport would be. Later -rc development versions and stable kernels have pretty strict rules about what can be backported.
Comment 6 vivianhu 2015-06-04 08:44:04 UTC
Created attachment 116279 [details]
dmesg
Comment 7 vivianhu 2015-06-04 08:56:26 UTC
Hi jani, sorry to trouble you. ^-^ But we meet a new problem when we use drm-intel-nightly branch,it will report an error and many crash info in dmesg, please refer to attachment.
What is i915/skl_dmc_ver4.bin and where to get it? And Does it will cause any problem if skl_dmc_ver4.bin is not loaded?  what is the cut info?


for example:
[    5.076518] i915 0000:00:02.0: Direct firmware load for i915/skl_dmc_ver4.bin failed with error -2
[    5.076562] [drm:i915_firmware_load_error_print [i915]] *ERROR* failed to load firmware i915/skl_dmc_ver4.bin (0)

------------[ cut here ]------------
[    6.127802] WARNING: CPU: 0 PID: 92 at drivers/gpu/drm/i915/intel_csr.c:462 assert_csr_loaded+0xa7/0x100 [i915]()
[    6.127803] CSR is not loaded.
[    6.127811] Modules linked in: i915(+) i2c_algo_bit video drm_kms_helper drm i2c_core
[    6.127816] CPU: 0 PID: 92 Comm: kworker/u16:3 Not tainted 4.1.0-50.5.1.lp22.x86_64 #1
[    6.127818] Hardware name: LENOVO INVALID/VIUU4, BIOS D5CN07WW(T006) 02/11/2015
[    6.127826] Workqueue: events_unbound async_run_entry_fn
[    6.127831]  ffffffffa0186ff8 ffff88026f6ef738 ffffffff8176889d 0000000008ae08ae
[    6.127835]  ffff88026f6ef788 ffff88026f6ef778 ffffffff8107c32a ffff88026f6ef768
[    6.127838]  ffff88026f180000 ffff88026f1802b0 0000000000000002 000000003000000f
[    6.127839] Call Trace:
[    6.127848]  [<ffffffff8176889d>] dump_stack+0x45/0x57
[    6.127853]  [<ffffffff8107c32a>] warn_slowpath_common+0x8a/0xc0
[    6.127857]  [<ffffffff8107c3a6>] warn_slowpath_fmt+0x46/0x50
[    6.127921]  [<ffffffffa01106be>] ? gen9_read32+0x6e/0x2f0 [i915]
[    6.127971]  [<ffffffffa00cf1d7>] assert_csr_loaded+0xa7/0x100 [i915]
[    6.128015]  [<ffffffffa00cddb3>] skl_set_power_well+0x743/0xac0 [i915]
[    6.128057]  [<ffffffffa00ce163>] skl_power_well_enable+0x13/0x20 [i915]
[    6.128099]  [<ffffffffa00ce426>] intel_display_power_get+0xa6/0x100 [i915]
[    6.128169]  [<ffffffffa015e77c>] intel_hdmi_set_edid+0x3c/0x100 [i915]
[    6.128236]  [<ffffffffa015e935>] intel_hdmi_detect+0x55/0xb0 [i915]
[    6.128246]  [<ffffffffa0083c90>] drm_helper_probe_single_connector_modes_merge_bits+0x300/0x4c0 [drm_kms_helper]
[    6.128255]  [<ffffffffa0083e63>] drm_helper_probe_single_connector_modes+0x13/0x20 [drm_kms_helper]
[    6.128266]  [<ffffffffa008dde0>] drm_fb_helper_probe_connector_modes.isra.3+0x50/0x70 [drm_kms_helper]
[    6.128277]  [<ffffffffa008ef5e>] drm_fb_helper_hotplug_event+0x5e/0xe0 [drm_kms_helper]
[    6.128287]  [<ffffffffa008f02c>] drm_fb_helper_restore_fbdev_mode_unlocked+0x4c/0x80 [drm_kms_helper]
[    6.128295]  [<ffffffffa008f082>] drm_fb_helper_set_par+0x22/0x50 [drm_kms_helper]
[    6.128359]  [<ffffffffa014350a>] intel_fbdev_set_par+0x1a/0x60 [i915]
[    6.128364]  [<ffffffff81460044>] fbcon_init+0x4f4/0x580
[    6.128369]  [<ffffffff814c679c>] visual_init+0xbc/0x120
[    6.128373]  [<ffffffff814c8dd3>] do_bind_con_driver+0x163/0x330
[    6.128378]  [<ffffffff814c92dc>] do_take_over_console+0x11c/0x1c0
[    6.128384]  [<ffffffff8145b1c3>] do_fbcon_takeover+0x63/0xd0
[    6.128387]  [<ffffffff81460aed>] fbcon_event_notify+0x68d/0x7e0
[    6.128394]  [<ffffffff81099e8e>] notifier_call_chain+0x4e/0x80
[    6.128399]  [<ffffffff8109a1ed>] __blocking_notifier_call_chain+0x4d/0x70
[    6.128402]  [<ffffffff810c3c86>] ? pm_vt_switch_required+0x76/0xa0
[    6.128408]  [<ffffffff8109a226>] blocking_notifier_call_chain+0x16/0x20
[    6.128413]  [<ffffffff814668cb>] fb_notifier_call_chain+0x1b/0x20
[    6.128417]  [<ffffffff81468946>] register_framebuffer+0x1e6/0x320
[    6.128429]  [<ffffffffa008f324>] drm_fb_helper_initial_config+0x274/0x3d0 [drm_kms_helper]
[    6.128492]  [<ffffffffa014471b>] intel_fbdev_initial_config+0x1b/0x20 [i915]
[    6.128496]  [<ffffffff8109baaa>] async_run_entry_fn+0x4a/0x140
[    6.128500]  [<ffffffff81093622>] process_one_work+0x142/0x3f0
[    6.128503]  [<ffffffff810939eb>] worker_thread+0x11b/0x460
[    6.128507]  [<ffffffff810938d0>] ? process_one_work+0x3f0/0x3f0
[    6.128512]  [<ffffffff81098fb2>] kthread+0xd2/0xf0
[    6.128517]  [<ffffffff81098ee0>] ? kthread_create_on_node+0x170/0x170
[    6.128522]  [<ffffffff81770012>] ret_from_fork+0x42/0x70
[    6.128526]  [<ffffffff81098ee0>] ? kthread_create_on_node+0x170/0x170
[    6.128529] ---[ end trace d595c73cdcde54bc ]---
Comment 8 Jani Nikula 2015-06-04 09:06:35 UTC
(In reply to vivianhu from comment #7)
> Hi jani, sorry to trouble you. ^-^ But we meet a new problem when we use
> drm-intel-nightly branch,it will report an error and many crash info in
> dmesg, please refer to attachment.
> What is i915/skl_dmc_ver4.bin and where to get it? And Does it will cause
> any problem if skl_dmc_ver4.bin is not loaded?  what is the cut info?

One bug per report please, file new ones for new bugs.

You need the firmware. You can get it from https://01.org/linuxgraphics/downloads. Hopefully it will be included in linux-firmware sometime soon.

There's been some back and forth between the naming, see e.g. http://mid.gmane.org/1433375419-13266-1-git-send-email-rodrigo.vivi@intel.com, I'm not sure which name is currently used in the download page.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.